[Fai-commit] r3015 - trunk/debian

fai-repository at svn.debian.org fai-repository at svn.debian.org
Mon Nov 7 21:14:33 UTC 2005


Author: lange
Date: 2005-11-07 21:14:32 +0000 (Mon, 07 Nov 2005)
New Revision: 3015

Added:
   trunk/debian/fai-quickstart.prerm
Log:
remove config space if fai-quickstart will be purged


Added: trunk/debian/fai-quickstart.prerm
===================================================================
--- trunk/debian/fai-quickstart.prerm	2005-11-07 15:20:36 UTC (rev 3014)
+++ trunk/debian/fai-quickstart.prerm	2005-11-07 21:14:32 UTC (rev 3015)
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+    purge)
+        . /etc/fai/fai.conf
+	if [ -z "$FAI_CONFIGDIR" ]; then
+	    echo "\$FAI_CONFIGDIR is not defined. Can't remove it."
+	else
+	    rm -rf $FAI_CONFIGDIR
+	fi
+        ;;
+
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear) ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+
+esac
+
+#DEBHELPER#
+
+exit 0




More information about the Fai-commit mailing list